Package htsjdk.tribble.bed

# Class FullBEDFeature.Exon

java.lang.Object
htsjdk.tribble.bed.FullBEDFeature.Exon

Enclosing class:
  `FullBEDFeature`

public class FullBEDFeature.Exon extends Object
A sub region of a feature. For example, a Gene exon

## Constructor Summary

Constructors
Constructor
Description
`Exon(int start, int end)`
Constructs ...

## Method Summary

Modifier and Type
Method
Description
`int`
`getCdEnd()`
Method description
`int`
`getCdStart()`
Method description
`int`
`getCodingLength()`
Method description
`int`
`getNumber()`
`String`
`getValueString(double position)`
`void`
`setCodingEnd(int codingEnd)`
Method description
`void`
`setCodingStart(int codingStart)`
Method description
`void`
`setMrnaBase(int base)`
`void`
`setNumber(int number)`
`void`
`setPhase(int phase)`
Method description
`void`
`setReadingFrame(int offset)`
Method description
`void`
`setUTR(boolean utr)`
Flag indicating that the entire exon is the UTR.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Exon

public Exon(int start, int end)
Constructs ...

Parameters:
  `start` -
  `end` -

## Method Details

### setMrnaBase

public void setMrnaBase(int base)

### setUTR

public void setUTR(boolean utr)
Flag indicating that the entire exon is the UTR.

Parameters:
  `utr` -

### setCodingStart

public void setCodingStart(int codingStart)
Method description

Parameters:
  `codingStart` -

### setCodingEnd

public void setCodingEnd(int codingEnd)
Method description

Parameters:
  `codingEnd` -

### setReadingFrame

public void setReadingFrame(int offset)
Method description

Parameters:
  `offset` -

### setPhase

public void setPhase(int phase)
Method description

Parameters:
  `phase` -

### getCdStart

public int getCdStart()
Method description

Returns:

### getCdEnd

public int getCdEnd()
Method description

Returns:

### getCodingLength

public int getCodingLength()
Method description

Returns:

### getValueString

public String getValueString(double position)

### getNumber

public int getNumber()

### setNumber

public void setNumber(int number)